package com.goldenwater.slaj.acci.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.acci.domain.BisAcciProg;

/**
 * 事故进展 数据层
 */
@Mapper
public interface BisAcciProgMapper {

    /**
     * 查询事故进展信息
     * @param guid 查询条件
     * @return 事故进展信息
     */
    BisAcciProg selectBisAcciProgByGuid(String guid);

    /**
     * 查询事故进展列表
     * @param bisAcciProg 事故进展查询条件
     * @return 事故进展集合
     */
    List<BisAcciProg> selectBisAcciProgList(BisAcciProg bisAcciProg);

    /**
     * 新增事故进展
     * @param bisAcciProg 事故进展信息
     * @return 影响行数
     */
    int insertBisAcciProg(BisAcciProg bisAcciProg);

    /**
     * 修改事故进展
     * @param bisAcciProg 事故进展信息
     * @return 影响行数
     */
    int updateBisAcciProg(BisAcciProg bisAcciProg);

    /**
     * 删除事故进展
     * @param guid 事故进展主键
     * @return 影响行数
     */
    int deleteBisAcciProgByGuid(String guid);

    /**
     * 批量删除事故进展
     * @param guids 事故进展主键数组
     * @return 影响行数
     */
    int deleteBisAcciProgByGuids(String[] guids);
}
